Javac.ImplementationSpecificArgument (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Javac.ImplementationSpecificArgument,Javac.ImplementationSpecificArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Javac.ImplementationSpecificArgument

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.Commandline.Argument
                  |
                  +--org.apache.tools.ant.util.facade.ImplementationSpecificArgument
                        |
                        +--org.apache.tools.ant.taskdefs.Javac.ImplementationSpecificArgument

Enclosing class:
  Javac

public class Javac.ImplementationSpecificArgument
extends ImplementationSpecificArgument

Adds an "compiler" attribute to Commandline$Attribute used to filter command line attributes based on the current implementation.

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Javac.ImplementationSpecificArgument()`

Method Summary
`void` | `setCompiler(java.lang.String impl)`

Methods inherited from class org.apache.tools.ant.util.facade.ImplementationSpecificArgument
`getParts, setImplementation`

Methods inherited from class org.apache.tools.ant.types.Commandline.Argument
`getParts, setFile, setLine, setPath, setPathref, setValue`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Javac.ImplementationSpecificArgument

    public Javac.ImplementationSpecificArgument()

Method Detail

### setCompiler

    public void setCompiler(java.lang.String impl)

  Parameters:
    `impl` - the name of the compiler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.